TypeScript
import { PeriskopeApi } from '@periskope/periskope-client';
const client = new PeriskopeApi({
authToken: 'YOUR_API_KEY',
phone: '919876543210', // the phone to act with (x-phone)
});
async function main() {
const response = await client.queue.getQueueStatus();
console.log(response);
}
main();curl -X GET 'https://api.periskope.app/v1/queue' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'x-phone: 919876543210'{
"is_running": true,
"active": 0,
"completed": 16,
"failed": 10,
"pending": 0
}{
"code": "ERROR",
"message": "The phone server is disconnected or not reachable",
"status": 400
}{
"code": "UNAUTHORIZED_ERROR",
"message": "Invalid bearer auth token",
"status": 401
}{
"code": "VALIDATION_ERROR",
"message": "Request validation failed",
"status": 422,
"fields": {
"body.chat_id": {
"message": "chat_id is required"
}
}
}{
"code": "RATE_LIMIT_ERROR",
"message": "You can only make 100 requests per second",
"status": 429
}{
"code": "UNKNOWN_ERROR",
"message": "Internal server error",
"status": 500
}Queue APIs
Get Queue Status
Returns the live status of the message send queue of the phone in the x-phone header.
TypeScript
import { PeriskopeApi } from '@periskope/periskope-client';
const client = new PeriskopeApi({
authToken: 'YOUR_API_KEY',
phone: '919876543210', // the phone to act with (x-phone)
});
async function main() {
const response = await client.queue.getQueueStatus();
console.log(response);
}
main();curl -X GET 'https://api.periskope.app/v1/queue' \
-H 'Authorization: Bearer YOUR_API_KEY' \
-H 'x-phone: 919876543210'{
"is_running": true,
"active": 0,
"completed": 16,
"failed": 10,
"pending": 0
}{
"code": "ERROR",
"message": "The phone server is disconnected or not reachable",
"status": 400
}{
"code": "UNAUTHORIZED_ERROR",
"message": "Invalid bearer auth token",
"status": 401
}{
"code": "VALIDATION_ERROR",
"message": "Request validation failed",
"status": 422,
"fields": {
"body.chat_id": {
"message": "chat_id is required"
}
}
}{
"code": "RATE_LIMIT_ERROR",
"message": "You can only make 100 requests per second",
"status": 429
}{
"code": "UNKNOWN_ERROR",
"message": "Internal server error",
"status": 500
}Deprecated. Use
GET /message/queues/health insteadAuthorizations
Headers
Response
The current status of the message queue
Live status of the message send queue of a phone. Every outgoing message and broadcast is queued on the phone instance and submitted to WhatsApp one job at a time.
Was this page helpful?